/*******************************************************************************
 * Copyright  2000, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which is available at
 * https://www.eclipse.org/legal/epl-2.0/
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.datatools.sqltools.sqlbuilder.views.source;

public interface SQLKeywords {

  public static final String[] fSQLKeywordList = new String[] {
	"ABSOLUTE",
	"ACTION",
	"ADD",
	"ALIAS",
	"ALL",
	"ALLOCATE",
	"ALTER",
	"AND",
	"ANY",
	"ARE",
	"AS",
	"ASC",
	"ASSERTION",
	"AT",
	"AUTHORIZATION",
	"AVG",
	"BEGIN",
	"BETWEEN",
	"BIGINT",
	"BINARYLARGEOBJECT",
	"BIT",
	"BIT_LENGTH",
	"BLOB",
	"BOOLEAN",
	"BOTH",
	"BY",
	"CALL",
	"CASCADE",
	"CASCADED",
	"CASE",
	"CAST",
	"CATALOG",
	"CHAR",
	"CHARLARGEOBJECT",
	"CHARVARYING",
	"CHAR_LENGTH",
	"CHARACTER",
	"CHARACTERLARGEOBJECT",
	"CHARACTERVARYING",
	"CHARACTER_LENGTH",
	"CHECK",
	"CLOB",
	"CLOSE",
	"COALESCE",
	"COLLATE",
	"COLLATION",
	"COLUMN",
	"COMMENT",
	"COMMIT",
	"CONNECT",
	"CONNECTION",
	"CONSTRAINT",
	"CONSTRAINTS",
	"CONTINUE",
	"CONVERT",
	"COPY",
	"CORRESPONDING",
	"COUNT",
	"CREATE",
	"CROSS",
	"CURRENT",
	"CURRENT_DATE",
	"CURRENT_TIME",
	"CURRENT_TIMESTAMP",
	"CURRENT_USER",
	"CURSOR",
	"DATA",
	"DATE",
	"DATETIME",
	"DATABASE",
	"DAY",
	"DEALLOCATE",
	"DEC",
	"DECIMAL",
	"DECLARE",
	"DEFAULT",
	"DEFERRABLE",
	"DEFERRED",
	"DELETE",
	"DESC",
	"DESCRIBE",
	"DIAGNOSTICS",
	"DISCONNECT",
	"DISTINCT",
	"DOMAIN",
	"DOUBLE",
	"DOUBLEPRECISION",
	"DROP",
	"ELSE",
	"END",
	"ENDEXEC",
	"ESCAPE",
	"EXCEPT",
	"EXCEPTION",
	"EXEC",
	"EXECUTE",
	"EXISTS",
	"EXPLAIN",
	"EXTERNAL",
	"EXTRACT",
	"FALSE",
	"FETCH",
	"FIRST",
	"FLOAT",
	"FOR",
	"FOREIGN",
	"FOUND",
	"FROM",
	"FULL",
	"GET",
	"GETCURRENTCONNECTION",
	"GLOBAL",
	"GO",
	"GOTO",
	"GRANT",
	"GROUP",
	"HAVING",
	"HOUR",
	"IDENTITY",
	"IMAGE",
	"IMMEDIATE",
	"IN",
	"INDICATOR",
	"INDEX",
	"INITIALLY",
	"INNER",
	"INPUT",
	"INSENSITIVE",
	"INSERT",
	"INT",
	"INTEGER",
	"INTERSECT",
	"INTO",
	"IS",
	"ISOLATION",
	"JOIN",
	"KEY",
	"LANGUAGE",
	"LAST",
	"LEADING",
	"LEFT",
	"LEVEL",
	"LIKE",
	"LOCAL",
	"LONG",
	"LONGINT",
	"LOWER",
	"LTRIM*",
	"MATCH",
	"MAX",
	"MIN",
	"MINUTE",
	"MODULE",
	"MONTH",
	"NCLOB",
	"NATIONAL",
	"NATIONALCHARACTER",
	"NATIONALCHARACTERLARGEOBJECT",
	"NATIONALCHARACTERVARYING",
	"NATIONALCHARLARGEOBJECT",
	"NATIONALCHARVARYING",
	"NATURAL",
	"NCHAR",
	"NCHARVARYING",
	"NEXT",
	"NO",
	"NOT",
	"NULL",
	"NULLIF",
	"NUMBER",
	"NUMERIC",
	"OCTET_LENGTH",
	"OF",
	"ON",
	"ONLY",
	"OPEN",
	"OPTION",
	"OR",
	"ORDER",
	"OUTER",
	"OUTPUT",
	"OVERLAPS",
	"PAD",
	"PARTIAL",
	"POSITION",
	"PREPARE",
	"PRESERVE",
	"PRIMARY",
	"PRIOR",
	"PRIVILEGES",
	"PROCEDURE",
	"PUBLIC",
	"RAW",
	"READ",
	"REAL",
	"REFERENCES",
	"RELATIVE",
	"RESTRICT",
	"REVOKE",
	"RIGHT",
	"ROLLBACK",
	"ROWS",
	"RTRIM*",
	"RUNTIMESTATISTICS",
	"SCHEMA",
	"SCROLL",
	"SECOND",
	"SECTION",
	"SELECT",
	"SESSION",
	"SESSION_USER",
	"SET",
	"SIGNAL",
	"SIZE",
	"SMALLINT",
	"SOME",
	"SPACE",
	"SQL",
	"SQLCODE",
	"SQLERROR",
	"SQLSTATE",
	"SUBSTR*",
	"SUBSTRING",
	"SUM",
	"SYSTEM_USER",
	"TABLE",
	"TABLESPACE",
	"TEMPORARY",
	"THEN",
	"TERMINATE",
	"TIME",
	"TIMESTAMP",
	"TIMEZONE_HOUR",
	"TIMEZONE_MINUTE",
	"TINYINT",
	"TO",
	"TRAILING",
	"TRANSACTION",
	"TRANSLATE",
	"TRANSLATION",
	"TRIM",
	"TRUE",
	"UNCATALOG",
	"UNION",
	"UNIQUE",
	"UNKNOWN",
	"UPDATE",
	"UPPER",
	"USAGE",
	"USER",
	"USING",
	"VALUES",
	"VARBINARY",
	"VARCHAR",
	"VARCHAR2",
	"VARYING",
	"VIEW",
	"WHEN",
	"WHENEVER",
	"WHERE",
	"WITH",
	"WORK",
	"WRITE",
	"YEAR",
	"ZONE",
   };
}
